/****************************************************************************
*
* LARA1GUN.H
*
* PROGRAMMER : Chris
*    VERSION : 00.00
*    CREATED : 27/05/98
*   MODIFIED : 27/05/98
*       TABS : 5
*
* DESCRIPTION
*	Header file for LARA1GUN.C
*
*****************************************************************************/

#ifndef _LARA1GUN_H
#define _LARA1GUN_H

/*---------------------------------------------------------------------------
 *	Import Headers
\*--------------------------------------------------------------------------*/

#ifdef PSX_VERSION
#include "../spec_psx/typedefs.h"
#else
#include "../specific/stypes.h"
#endif

/*---------------------------------------------------------------------------
 *	Prototypes
\*--------------------------------------------------------------------------*/

extern void draw_shotgun(int weapon_type);
extern void undraw_shotgun(int weapon_type);
extern void draw_shotgun_meshes(int weapon_type);
extern void undraw_shotgun_meshes(int weapon_type);
extern void ready_shotgun(int weapon_type);
extern void RifleHandler(int weapon_type);
extern void AnimateShotgun(int weapon_type);
extern void FireShotgun();
extern void FireHarpoon();
extern void FireM16(int running);
extern void FireRocket();
extern void FireGrenade();
extern void ControlHarpoonBolt(sint16 item_number);
extern void ControlRocket(sint16 item_number);
extern void ControlGrenade(sint16 item_number);
extern void TriggerUnderwaterExplosion(ITEM_INFO *item);

#endif
